INTERFACE
SUBROUTINE ATMREF_GEMS(PTAMOY,PTRAY,PIZMOY,PHIRAD,PXMUS,PXMUV,PRM,PGB,PRP,&
 & PBETAL,PPSL,PTODAER,PTODRAY,PROMIX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RT6SVALUES, ONLY : KMU, KNP, KNT, KNANG
REAL(KIND=JPRB),INTENT(IN) :: PGB(-KMU:KMU), PRP(KNP)
REAL(KIND=JPRB),INTENT(IN) :: PHIRAD, PXMUS, PXMUV
REAL(KIND=JPRB),INTENT(IN) :: PPSL(0:KNANG,-1:KNANG,-KMU:KMU)
REAL(KIND=JPRB),INTENT(IN) :: PTAMOY(0:KNT), PTRAY(0:KNT), PIZMOY(0:KNT)
REAL(KIND=JPRB),INTENT(IN) :: PBETAL(0:KNT,0:KNANG), PTODAER, PTODRAY
REAL(KIND=JPRB),INTENT(OUT) :: PROMIX
REAL(KIND=JPRB),INTENT(INOUT) :: PRM(-KMU:KMU)
END SUBROUTINE ATMREF_GEMS
END INTERFACE
